SIOP(4)

NAME
siop - LSI/Symbios Logic/NCR 53c8xx SCSI interface

SYNOPSIS
siop* at pci?

# hppa
siop* at mainbus? irq 3
siop* at phatomas? irq 3
siop* at uturn? irq 3

scsibus* at siop?

DESCRIPTION
The siop driver provides support for following LSI/Symbios Logic/NCR 53c8xx and related SCSI controller chips:

-   53c720 and 53c770 (Fast-Wide SCSI)
-   53c810, 53c810a and 53c815 (Fast SCSI)
-   53c820, 53c825 and 53c825a (Fast-Wide SCSI)
-   53c860 (Ultra SCSI)
-   53c875 and 53c875j (Ultra-Wide SCSI)
-   53c876 (Dual Ultra-Wide SCSI)
-   53c885 (Ultra-Wide SCSI and Ethernet)
-   53c895 and 53c895a (Ultra2-Wide SCSI)
-   53c896 (PCI 64bit, dual Ultra2-Wide SCSI)
-   53c1010 (PCI 64bit, dual Ultra3-Wide SCSI. NOTE: at this time siop supports at most Ultra2-Wide with this chip)
-   53c1510D (dual Ultra2-Wide SCSI)

siop replaces the older ncr driver which supported most of these devices.

Older 53C700 and 53C710 controllers are supported by the oosiop(4) and osiop(4) drivers, respectively.

SEE ALSO
cd(4), ch(4), intro(4), oosiop(4), osiop(4), pci(4), scsi(4), sd(4), st(4), uk(4)

http://www.lsilogic.com/

HISTORY
The siop driver first appeared in NetBSD 1.5, OpenBSD support was added in OpenBSD 2.9.

AUTHORS
-nosplit The siop driver was written by Manuel Bouyer <Manuel.Bouyer@lip6.fr> for NetBSD. It was ported to OpenBSD with 53c1010 support added by Ken Westerback <krw@openbsd.org> using code from the FreeBSD sym-2 driver written by Gerard Roudier <groudier@FreeBSD.org>.